<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Novel List</title>

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="/bootstrap/4.0.0-beta.2/css/bootstrap.min.css">
</head>


<body>
  
  <div class="container" id="novel">
this is my testing

  </div>

  <script src="/handlebarsjs/4.0.11/handlebars.js"></script>
  <script src="/jquery-3.3.1.min.js"></script>
    <script src="http://res.wx.qq.com/open/js/jweixin-1.2.0.js"></script>
    
  <script>
  
    
    function callwechat() {
      console.log('url - ', location.href.split('#')[0])
      var reqData = encodeURIComponent(location.href.split('#')[0]);
      
      $.ajax({
        url: '/api/wx?url=' + reqData,
        method: 'GET',
        contentType: 'application/json',
        success: function (res) {
            console.log(' success call wx app', res);
            configData(res);
        },
        error: function (err) {
            console.log(' error call wx app', err);
        }
      });
    }
    
      function configData(data) {
        var sign = data;
        console.log(' configData - ', sign);
        wx.config({
          debug: false,
          appId: sign.appid,
          timestamp: sign.timestamp,
          nonceStr: sign.noncestr,
          signature: sign.signature,
          jsApiList: [
            // 所有要调用的 API 都要加到这个列表中
            'onMenuShareTimeline',
            'onMenuShareAppMessage',
            'onMenuShareQQ'
          ]
        });
      }


    callwechat();

    
     wx.ready(function () {
        wx.showOptionMenu();
        wx.onMenuShareTimeline(share_data());
        wx.onMenuShareAppMessage(share_data());
        wx.onMenuShareQQ(share_data());
        wx.onMenuShareWeibo(share_data());
    });
   

  </script>
</body>


</html>